scullyLogo

Polyfills

Depending on the browser and environment that the application targets, some polyfills are required. This page lists the recommended polyfills.

Event() constructor

Scully uses Event to be aware of different points in the application's lifecycle.

To make Internet Explorer 10+ work, install and import the following polyfill:

npm install events-polyfill

// src/polyfills.ts
import 'events-polyfill/src/constructors/Event.js';